#!/bin/bash
# Copyright 2023, Charadon
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty, provided the copyright notice
# and this notice are preserved. This file is offered as-is, without any
# warranty.
set -eu

echo "This script will demonstrate some neat stuff!"
echo "Press enter to continue..."

CHOICE=""
read CHOICE
printf "\n"

echo "Here are some variables we set for you: "
echo "\$HOME:"
echo " Not on windows by default, but we provide it for you!"
echo "Value: $HOME"
printf "\n"
echo "\$USER:"
echo " Not on windows by default, but again, we provide it for you!"
echo "Value: $USER"
printf "\n"
echo "\$EDITOR:"
echo " If this isn't set in the user's environment, we make it"
echo " Nano by default!"
echo "Value: $EDITOR"
printf "\n"
echo "\$0:"
echo " Unfortunately, due to how this wrapper works, this variable will point"
echo " to the wrong location."
echo "Value: $0"
printf "\n"
echo "\$SH2EXE_ARGV0"
echo " Instead you can use this variable! It will always be set, and should be"
echo " reliable."
echo "Value: $SH2EXE_ARGV0"
printf "\n"
read CHOICE

echo "Now i'm going to put a message on your desktop!"
read CHOICE
echo "How are you $USER? I hope you are having a wonderful day!" > "$HOME/Desktop/greetings.txt"
echo "Now let's open it with \$EDITOR..."
read CHOICE
$EDITOR "$HOME/Desktop/greetings.txt"
echo "Here's all the commands you have available to you:"
read CHOICE
ls -w1 /usr/bin | less

echo "Do you want to go into a shell and play around? [y/N]"
read CHOICE
case $CHOICE in
  y|Y)
    /bin/sh
    ;;
  *)
    ;;
esac

echo "This has been a demonstration script."
echo "This script will now exit once you press Enter..."
read CHOICE
